Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class ExtensionModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.ExtensionModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public class ExtensionModel
extends PluginModelObject

An object which represents the user-defined extension in a plug-in manifest.

This class may be instantiated, or further subclassed.

Constructor Summary
`ExtensionModel()` Deprecated. Creates a new extension model in which all fields are `null`.

Method Summary
`String` | `getExtensionPoint()` Deprecated. Returns the extension point with which this extension is associated.
`String` | `getId()` Deprecated. Returns the simple identifier of this extension, or `null` if this extension does not have an identifier.
`PluginModel` | `getParent()` Deprecated. Returns the plug-in model (descriptor or fragment) in which this extension is declared.
`PluginDescriptorModel` | `getParentPluginDescriptor()` Deprecated. Returns the plug-in descriptor in which this extension is declared.
`ConfigurationElementModel[]` | `getSubElements()` Deprecated. Returns the configuration element children of this extension.
`void` | `markReadOnly()` Deprecated. Sets this model object and all of its descendents to be read-only.
`void` | `setExtensionPoint(String value)` Deprecated. Set the extension point with which this extension is associated.
`void` | `setId(String value)` Deprecated. Sets the simple identifier of this extension, or `null` if this extension does not have an identifier.
`void` | `setParent(PluginModel value)` Deprecated. Sets the plug-in model in which this extension is declared.
`void` | `setParentPluginDescriptor(PluginDescriptorModel value)` Deprecated. Sets the plug-in descriptor in which this extension is declared.
`void` | `setSubElements(ConfigurationElementModel[] value)` Deprecated. Sets the configuration element children of this extension.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionModel

    public ExtensionModel()

  Deprecated.
  Creates a new extension model in which all fields are `null`.

Method Detail

### getExtensionPoint

    public String getExtensionPoint()

  Deprecated.
  Returns the extension point with which this extension is associated.

  Returns:
    the extension point with which this extension is associated or `null`

### getId

    public String getId()

  Deprecated.
  Returns the simple identifier of this extension, or `null` if this extension does not have an identifier. This identifier is specified in the plug-in manifest as a non-empty string containing no period characters (`'.'`) and must be unique within the defining plug-in.

  Returns:
    the simple identifier of the extension (e.g. `"main"`) or `null`

### getParent

    public PluginModel getParent()

  Deprecated.
  Returns the plug-in model (descriptor or fragment) in which this extension is declared.

  Returns:
    the plug-in model in which this extension is declared or `null`

### getParentPluginDescriptor

    public PluginDescriptorModel getParentPluginDescriptor()

  Deprecated.
  Returns the plug-in descriptor in which this extension is declared.

  Returns:
    the plug-in descriptor in which this extension is declared or `null`

### getSubElements

    public ConfigurationElementModel[] getSubElements()

  Deprecated.
  Returns the configuration element children of this extension.

  Returns:
    the configuration elements in this extension or `null`

### markReadOnly

    public void markReadOnly()

  Deprecated.
  Sets this model object and all of its descendents to be read-only. Subclasses may extend this implementation.

  Overrides:
    `markReadOnly` in class `PluginModelObject`
  See Also:
    `PluginModelObject.isReadOnly()`

### setExtensionPoint

    public void setExtensionPoint(String value)

  Deprecated.
  Set the extension point with which this extension is associated. This object must not be read-only.

  Parameters:
    `value` - the extension point with which this extension is associated. May be `null`.

### setId

    public void setId(String value)

  Deprecated.
  Sets the simple identifier of this extension, or `null` if this extension does not have an identifier. This identifier is specified in the plug-in manifest as a non-empty string containing no period characters (`'.'`) and must be unique within the defining plug-in. This object must not be read-only.

  Parameters:
    `value` - the simple identifier of the extension (e.g. `"main"`). May be `null`.

### setParent

    public void setParent(PluginModel value)

  Deprecated.
  Sets the plug-in model in which this extension is declared. This object must not be read-only.

  Parameters:
    `value` - the plug-in model in which this extension is declared. May be `null`.

### setParentPluginDescriptor

    public void setParentPluginDescriptor(PluginDescriptorModel value)

  Deprecated.
  Sets the plug-in descriptor in which this extension is declared. This object must not be read-only.

  Parameters:
    `value` - the plug-in descriptor in which this extension is declared. May be `null`.

### setSubElements

    public void setSubElements(ConfigurationElementModel[] value)

  Deprecated.
  Sets the configuration element children of this extension. This object must not be read-only.

  Parameters:
    `value` - the configuration elements in this extension. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.